/*
Theme Name:  Salient Child
Version:     1.0
Description: Child theme for Salient
Author:      Hay IT AB
Template:    salient
*/


/* VARIABLES */

/* Colors */
:root {
	--brand-blue: #8FC0DB;
	--brand-dark-blue: #003875;
	--brand-light-blue: #E3F6FF;
	
	--birch1: #FFFAE9;
	--birch2: #FFEDC9;
	--birch3: #6D3D19;
	
	--leaf1: #E0F4C3;
	--leaf2: #A3D882;
	--leaf3: #3F5600;
	
	--neutral1: #EDF2F4;
	--neutral2: #DCE7EA;
	--neutral3: #21313D;
}


/* GENERAL */

.maskImageCorners {
	mask-image:
		linear-gradient(black, black),
		url('/wp-content/uploads/2026/03/topleftmask.svg'),
		url('/wp-content/uploads/2026/03/bottomrightmask.svg');
	mask-position: top left, top left, bottom right;
	mask-repeat: no-repeat;
	mask-composite: exclude;
	mask-size: 100%, 40%, 40%;
	border-radius: 0 1.5rem 0 1.5rem;
	border: 1px solid #fff;
}

.squarebox {
	aspect-ratio: 1 / 1;
}

.rectanglebox {
	aspect-ratio: 3 / 2;
}

/* Fix incorrect top padding in video player*/
.wpb_video_widget.vc_video-aspect-ratio-169 .wpb_video_wrapper {
	margin-top: -56.25% !important;
}


/* HEADER */

/* Right-aligned menu items in the header (e.g. contact link) */
#header-outer #top .right-aligned-menu-items > nav > ul > li > a {
	color: var(--brand-dark-blue) !important;

	&::before {
		border-radius: 100px !important;
		border-color: var(--brand-dark-blue) !important;
		opacity: 1 !important;
	}
	
	&::after {
		border-radius: 100px !important;
	}
}


/* FOOTER */

@media only screen and (max-width: 1300px) and (min-width: 1000px) {
	.footer h2 {
		line-height: 42px;
	}
}

.footer {
	h2 {
		font-size: 1.2rem;
		font-weight: normal;
		margin-bottom: 7px;
	}
	
	a.toTopLink {
		display: flex;
		flex-direction: column;
		align-items: center;
		
		i {
			font-size: 50px;
			line-height: 50px;
			height: 50px;
			width: 50px;
		}
		
		&:hover {
			opacity: 0.8;
		}
	}
}


/* START PAGE */

#start { /* Hero */
	position: relative;
	
	h1 {
		font-style: italic;
	}
	
	.callToActionButton {
		font-weight: 600;
	}
	
	/* Add "ift" icon to corner of hero */
	& .row-bg-wrap::after {
		content: url('/wp-content/uploads/2026/03/ift-tested.png');
		width: auto;
		height: auto;
		position: absolute;
		right: 1rem;
		bottom: 1rem;
		z-index: 10;
		transform: scale(0.6);
	}
}

#benefits {
	h2 {
		font-size: 2.5rem;
	}
	
	h3 {
		font-size: 2rem;
		font-style: italic;
		font-weight: 600;
		margin: 0;
	}
}

#configurator {
	h2 {
		text-transform: uppercase;
		color: var(--brand-dark-blue);
		font-size: 1rem;
		font-style: italic;
	}

	.activateConfigurator {
		&.inactive {
			background-image: url('/wp-content/uploads/2026/03/clickin-configurator-placeholder_square_web.png');
			background-size: contain;
			background-repeat: no-repeat;
			background-position: center;
			display: flex;
			justify-content: center;
			align-items: center;
			min-height: 600px;
		}

		#activateConfiguratorButton {
			background-color: var(--brand-dark-blue);
			color: #fff;
			border: 2px solid var(--brand-dark-blue);
			padding: 1rem;
			border-radius: 100px !important;
			transition: color 1s, background-color 1s;
			cursor: pointer;

			&:hover {
				background-color: #fff;
				color: var(--brand-dark-blue);
			}
		}
	}
	
	.proofPointNumber {
		font-size: calc(0.75rem + 1.75vw);

		@media (min-width: 1921px) {
			& {
				font-size: 3rem;
			}
		}
	}
}

#testimonials {
	h2 {
		font-size: 1.2rem;
		font-weight: normal;
	}

	#testimonialsInnerRow {
		.column_container {
			margin: 1rem 0;
		}
		
		blockquote {
			color: var(--brand-light-blue) !important;
			margin: 0 0 1rem;
			padding: 0;
			border: none;
			position: inherit;

			&::before {
				display: none;
			}
		}
	}
}

.aboutUs {
	h2 {
		font-size: 2.5rem;
		line-height: 1.2;
	}
	
	h3 {
		color: var(--neutral3);
	}
}

#partners {
	h2 {
		font-size: 1.2rem;
		font-weight: normal;
	}

	#partnersInnerRow {
		.column_container {
			margin: 1rem 0;
		}

		figure {
			display: flex;
			align-items: end;
			gap: 2rem;
			
			img {
				width: 150px;
			}
		}
	}
}

#the-value-chain {	
	h3 {
		font-size: 1.2rem;
	}
	
	ul {
		margin: 0;
		font-size: 1.1rem;
	}
}